import { EventEmitter, OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiEditableContent } from "../../system/interfaces";
import * as i0 from "@angular/core";
export declare class StiSvgCheckBoxComponent implements OnInit {
    model: StiModelService;
    element: any;
    id: string;
    text: StiEditableContent;
    state: boolean;
    useCustomOption: boolean;
    disablePlaceHolder?: boolean;
    buttonClick: EventEmitter<any>;
    tabIndex: number;
    isCurrentOption: boolean;
    textValue: any;
    constructor(model: StiModelService);
    get selected(): boolean;
    get isMozila(): boolean;
    get isSafari(): boolean;
    get isCheckBox(): boolean;
    get backColor(): string;
    get checkColor(): string;
    get borderColor(): string;
    get required(): boolean;
    get tooltip(): string;
    get textStyle(): string;
    get needToFill(): boolean;
    setContent(innerText: any): void;
    disableDrag(event: any): void;
    changeState(): void;
    getContent(innerText: any): void;
    getCharCode(event: any): any;
    disableEnter(event: any): void;
    checkOption(): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiSvgCheckBoxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiSvgCheckBoxComponent, "sti-svg-checkbox-component", never, { "element": { "alias": "element"; "required": false; }; "id": { "alias": "id"; "required": false; }; "text": { "alias": "text"; "required": false; }; "state": { "alias": "state"; "required": false; }; "useCustomOption": { "alias": "useCustomOption"; "required": false; }; "disablePlaceHolder": { "alias": "disablePlaceHolder"; "required": false; }; "tabIndex": { "alias": "tabIndex"; "required": false; }; }, { "buttonClick": "buttonClick"; }, never, never, false, never>;
}
